<?php


//START ELEMENT CF7
class nd_elements_cf7_element extends \Elementor\Widget_Base {

	public function get_name() { return 'cf7'; }
	public function get_title() { return __( 'Contact Form 7', 'nd-elements' ); }
	public function get_icon() { return 'fa fa-envelope'; }
	public function get_categories() { return [ 'nd-elements' ]; }

	
	/*START CONTROLS*/
	protected function _register_controls() {

		
		/*Create Tab*/
		$this->start_controls_section(
			'content_section',
			[
				'label' => __( 'Options', 'nd-elements' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

	    //get all cf7 forms
		$nd_elements_cf7 = get_posts( 'post_type="wpcf7_contact_form"&numberposts=-1' );
		$nd_elements_contact_forms = array();
		if ( $nd_elements_cf7 ) {
			foreach ( $nd_elements_cf7 as $nd_elements_cform ) {
				$nd_elements_contact_forms[ $nd_elements_cform->ID ] = $nd_elements_cform->post_title;
			}
		} else {
			$nd_elements_contact_forms[ __( 'No contact forms found', 'nd-shortcodes' ) ] = 0;
		}
		//END get all cf7 forms

	    /*Create Control*/
		$this->add_control(
			'nd_elements_cf7',
			[
				'label' => __( 'Contact Form', 'nd-elements' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'solid',
				'options' => $nd_elements_contact_forms,
			]
		);

		$this->end_controls_section();

	}


 
	/*START RENDER*/
	protected function render() {

		$nd_elements_settings = $this->get_settings_for_display();
		$nd_elements_cf7_id = $nd_elements_settings['nd_elements_cf7'];
		
		$nd_elements_result = '
		<div class="nd_elements_cf7_component">
			'.do_shortcode('[contact-form-7 id="'.$nd_elements_cf7_id.'"]').'
		</div>';

		echo $nd_elements_result;

	}




}
